Package ghidra.program.util

# Class ChangeManagerAdapter

java.lang.Object
ghidra.program.util.ChangeManagerAdapter

All Implemented Interfaces:
  `ChangeManager`

public class ChangeManagerAdapter extends Object implements ChangeManager
Empty implementation for a ChangeManager.

- ## Field Summary

  ### Fields inherited from interface ghidra.program.util.ChangeManager

  `DOCR_ADDRESS_SET_PROPERTY_MAP_ADDED, DOCR_ADDRESS_SET_PROPERTY_MAP_CHANGED, DOCR_ADDRESS_SET_PROPERTY_MAP_REMOVED, DOCR_BOOKMARK_ADDED, DOCR_BOOKMARK_CHANGED, DOCR_BOOKMARK_REMOVED, DOCR_BOOKMARK_TYPE_ADDED, DOCR_BOOKMARK_TYPE_REMOVED, DOCR_CATEGORY_ADDED, DOCR_CATEGORY_MOVED, DOCR_CATEGORY_REMOVED, DOCR_CATEGORY_RENAMED, DOCR_CODE_ADDED, DOCR_CODE_MOVED, DOCR_CODE_REMOVED, DOCR_CODE_REPLACED, DOCR_CODE_UNIT_PROPERTY_ALL_REMOVED, DOCR_CODE_UNIT_PROPERTY_CHANGED, DOCR_CODE_UNIT_PROPERTY_RANGE_REMOVED, DOCR_CODE_UNIT_USER_DATA_CHANGED, DOCR_DATA_TYPE_ADDED, DOCR_DATA_TYPE_CHANGED, DOCR_DATA_TYPE_MOVED, DOCR_DATA_TYPE_REMOVED, DOCR_DATA_TYPE_RENAMED, DOCR_DATA_TYPE_REPLACED, DOCR_DATA_TYPE_SETTING_CHANGED, DOCR_EOL_COMMENT_CHANGED, DOCR_EQUATE_ADDED, DOCR_EQUATE_REFERENCE_ADDED, DOCR_EQUATE_REFERENCE_REMOVED, DOCR_EQUATE_REMOVED, DOCR_EQUATE_RENAMED, DOCR_EXTERNAL_ENTRY_POINT_ADDED, DOCR_EXTERNAL_ENTRY_POINT_REMOVED, DOCR_EXTERNAL_NAME_ADDED, DOCR_EXTERNAL_NAME_CHANGED, DOCR_EXTERNAL_NAME_REMOVED, DOCR_EXTERNAL_PATH_CHANGED, DOCR_EXTERNAL_REFERENCE_ADDED, DOCR_EXTERNAL_REFERENCE_REMOVED, DOCR_FALLTHROUGH_CHANGED, DOCR_FLOWOVERRIDE_CHANGED, DOCR_FRAGMENT_MOVED, DOCR_FUNCTION_ADDED, DOCR_FUNCTION_BODY_CHANGED, DOCR_FUNCTION_CHANGED, DOCR_FUNCTION_REMOVED, DOCR_FUNCTION_TAG_CHANGED, DOCR_FUNCTION_TAG_CREATED, DOCR_FUNCTION_TAG_DELETED, DOCR_GROUP_ADDED, DOCR_GROUP_ALIAS_CHANGED, DOCR_GROUP_COMMENT_CHANGED, DOCR_GROUP_REMOVED, DOCR_GROUP_RENAMED, DOCR_GROUP_REPARENTED, DOCR_IMAGE_BASE_CHANGED, DOCR_INT_ADDRESS_SET_PROPERTY_MAP_ADDED, DOCR_INT_ADDRESS_SET_PROPERTY_MAP_CHANGED, DOCR_INT_ADDRESS_SET_PROPERTY_MAP_REMOVED, DOCR_LANGUAGE_CHANGED, DOCR_LENGTH_OVERRIDE_CHANGED, DOCR_MEM_REF_PRIMARY_REMOVED, DOCR_MEM_REF_PRIMARY_SET, DOCR_MEM_REF_TYPE_CHANGED, DOCR_MEM_REFERENCE_ADDED, DOCR_MEM_REFERENCE_REMOVED, DOCR_MEMORY_BLOCK_ADDED, DOCR_MEMORY_BLOCK_CHANGED, DOCR_MEMORY_BLOCK_MOVED, DOCR_MEMORY_BLOCK_REMOVED, DOCR_MEMORY_BLOCK_SPLIT, DOCR_MEMORY_BLOCKS_JOINED, DOCR_MEMORY_BYTES_CHANGED, DOCR_MODULE_REORDERED, DOCR_OVERLAY_SPACE_ADDED, DOCR_OVERLAY_SPACE_REMOVED, DOCR_OVERLAY_SPACE_RENAMED, DOCR_PLATE_COMMENT_CHANGED, DOCR_POST_COMMENT_CHANGED, DOCR_PRE_COMMENT_CHANGED, DOCR_REGISTER_VALUES_CHANGED, DOCR_REPEATABLE_COMMENT_CHANGED, DOCR_SOURCE_ARCHIVE_ADDED, DOCR_SOURCE_ARCHIVE_CHANGED, DOCR_SYMBOL_ADDED, DOCR_SYMBOL_ADDRESS_CHANGED, DOCR_SYMBOL_ANCHORED_FLAG_CHANGED, DOCR_SYMBOL_ASSOCIATION_ADDED, DOCR_SYMBOL_ASSOCIATION_REMOVED, DOCR_SYMBOL_DATA_CHANGED, DOCR_SYMBOL_REMOVED, DOCR_SYMBOL_RENAMED, DOCR_SYMBOL_SCOPE_CHANGED, DOCR_SYMBOL_SET_AS_PRIMARY, DOCR_SYMBOL_SOURCE_CHANGED, DOCR_TREE_CREATED, DOCR_TREE_REMOVED, DOCR_TREE_RENAMED, DOCR_USER_DATA_CHANGED, DOCR_VARIABLE_REFERENCE_ADDED, DOCR_VARIABLE_REFERENCE_REMOVED, FUNCTION_CHANGED_CALL_FIXUP, FUNCTION_CHANGED_INLINE, FUNCTION_CHANGED_NORETURN, FUNCTION_CHANGED_PARAMETERS, FUNCTION_CHANGED_PURGE, FUNCTION_CHANGED_RETURN, FUNCTION_CHANGED_THUNK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeManagerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setChanged(ProgramEvent event, Address start, Address end, Object oldValue, Object newValue)`
  Mark the state of a Program as having changed and generate the event of the specified type.
  `void`
  `setChanged(ProgramEvent event, Object oldValue, Object newValue)`
  Mark the state of a Program as having changed and generate the event of the specified type.
  `void`
  `setObjChanged(ProgramEvent eventType, Address addr, Object affected, Object oldValue, Object newValue)`
  Mark the state of a Program as having changed and generate the event of the specified type.
  `void`
  `setObjChanged(ProgramEvent event, Object affected, Object oldValue, Object newValue)`
  Mark the state of a Program as having changed and generate the event of the specified type.
  `void`
  `setPropertyChanged(String propertyName, Address codeUnitAddr, Object oldValue, Object newValue)`
  Mark the state of a Program as having changed and generate the DOCR_CODE_UNIT_PROPERTY_CHANGED event.
  `void`
  `setPropertyRangeRemoved(String propertyName, Address start, Address end)`
  Mark the state of the Program as having changed and generate the DOCR_CODE_UNIT_PROPERTY_RANGE_REMOVED event.
  `void`
  `setRegisterValuesChanged(Register register, Address start, Address end)`
  Notifies that register values have changed over the indicated address range.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChangeManagerAdapter

    public ChangeManagerAdapter()

- ## Method Details

  - ### setPropertyChanged

    public void setPropertyChanged(String propertyName, Address codeUnitAddr, Object oldValue, Object newValue)
    Description copied from interface: `ChangeManager`
    Mark the state of a Program as having changed and generate the DOCR_CODE_UNIT_PROPERTY_CHANGED event.
    Specified by:
      `setPropertyChanged` in interface `ChangeManager`
    Parameters:
      `propertyName` - name of property for the range that changed
      `codeUnitAddr` - address of the code unit with the property change
      `oldValue` - old value for the property
      `newValue` - new value for the property

  - ### setPropertyRangeRemoved

    public void setPropertyRangeRemoved(String propertyName, Address start, Address end)
    Description copied from interface: `ChangeManager`
    Mark the state of the Program as having changed and generate the DOCR_CODE_UNIT_PROPERTY_RANGE_REMOVED event.
    Specified by:
      `setPropertyRangeRemoved` in interface `ChangeManager`
    Parameters:
      `propertyName` - name of property for the range being removed
      `start` - start address of the range
      `end` - end address of the range

  - ### setRegisterValuesChanged

    public void setRegisterValuesChanged(Register register, Address start, Address end)
    Description copied from interface: `ChangeManager`
    Notifies that register values have changed over the indicated address range.
    Specified by:
      `setRegisterValuesChanged` in interface `ChangeManager`
    Parameters:
      `register` - register value which was modified (a value of null indicates all registers affected or unknown)
      `start` - the start address for the range where values changed
      `end` - the end address (inclusive) for the range where values changed

  - ### setChanged

    public void setChanged(ProgramEvent event, Object oldValue, Object newValue)
    Description copied from interface: `ChangeManager`
    Mark the state of a Program as having changed and generate the event of the specified type. Any or all parameters may be null.
    Specified by:
      `setChanged` in interface `ChangeManager`
    Parameters:
      `event` - the event type
      `oldValue` - original value or an Object that is related to the event
      `newValue` - new value or an Object that is related to the the event

  - ### setChanged

    public void setChanged(ProgramEvent event, Address start, Address end, Object oldValue, Object newValue)
    Description copied from interface: `ChangeManager`
    Mark the state of a Program as having changed and generate the event of the specified type. Any or all parameters may be null.
    Specified by:
      `setChanged` in interface `ChangeManager`
    Parameters:
      `event` - the event type
      `start` - starting address that is affected by the event
      `end` - ending address that is affected by the event
      `oldValue` - original value or an Object that is related to the event
      `newValue` - new value or an Object that is related to the the event

  - ### setObjChanged

    public void setObjChanged(ProgramEvent event, Object affected, Object oldValue, Object newValue)
    Description copied from interface: `ChangeManager`
    Mark the state of a Program as having changed and generate the event of the specified type. Any or all parameters may be null.
    Specified by:
      `setObjChanged` in interface `ChangeManager`
    Parameters:
      `event` - the event type
      `affected` - object that is the subject of the event
      `oldValue` - original value or an Object that is related to the event
      `newValue` - new value or an Object that is related to the the event

  - ### setObjChanged

    public void setObjChanged(ProgramEvent eventType, Address addr, Object affected, Object oldValue, Object newValue)
    Description copied from interface: `ChangeManager`
    Mark the state of a Program as having changed and generate the event of the specified type. Any or all parameters may be null.
    Specified by:
      `setObjChanged` in interface `ChangeManager`
    Parameters:
      `eventType` - the event type
      `addr` - program address affected
      `affected` - object that is the subject of the event
      `oldValue` - original value or an Object that is related to the event
      `newValue` - new value or an Object that is related to the the event